# exp_integral.tcc File Reference

## Detailed Description

This is an internal header file, included by other library headers. You should not attempt to use it directly.

Definition in file exp_integral.tcc.

Go to the source code of this file.

## Namespaces

- namespace std
- namespace std::tr1
- namespace std::tr1::__detail

## Defines

- #define _GLIBCXX_TR1_EXP_INTEGRAL_TCC

## Functions

- template<typename _Tp> _Tp std::tr1::__detail::__expint (const _Tp __x)
- template<typename _Tp> _Tp std::tr1::__detail::__expint (const unsigned int __n, const _Tp __x)
- template<typename _Tp> _Tp std::tr1::__detail::__expint_asymp (const unsigned int __n, const _Tp __x)
- template<typename _Tp> _Tp std::tr1::__detail::__expint_E1 (const _Tp __x)
- template<typename _Tp> _Tp std::tr1::__detail::__expint_E1_asymp (const _Tp __x)
- template<typename _Tp> _Tp std::tr1::__detail::__expint_E1_series (const _Tp __x)
- template<typename _Tp> _Tp std::tr1::__detail::__expint_Ei (const _Tp __x)
- template<typename _Tp> _Tp std::tr1::__detail::__expint_Ei_asymp (const _Tp __x)
- template<typename _Tp> _Tp std::tr1::__detail::__expint_Ei_series (const _Tp __x)
- template<typename _Tp> _Tp std::tr1::__detail::__expint_En_cont_frac (const unsigned int __n, const _Tp __x)
- template<typename _Tp> _Tp std::tr1::__detail::__expint_En_recursion (const unsigned int __n, const _Tp __x)
- template<typename _Tp> _Tp std::tr1::__detail::__expint_En_series (const unsigned int __n, const _Tp __x)
- template<typename _Tp> _Tp std::tr1::__detail::__expint_large_n (const unsigned int __n, const _Tp __x)